MP4(3)

NAME

MP4ReadRtpHint - Read an RTP hint

SYNTAX

#include <mp4.h>

bool MP4ReadRtpHint(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4SampleId sampleId,
    u_int16_t* pNumPackets = NULL
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

sampleId
    Specifies which hint sample is to be read. Caveat: the first sample has id 1 not 0.

pNumPackets
    Pointer to variable that will be hold the number of packets in the hint.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4ReadRtpHint reads the specified hint sample from the specified hint track and enables subsequent calls to MP4ReadRtpPacket() to read the individual RTP packets associated with this hint. If desired, the number of RTP packets associated with this hint is returned.

Note that a hint track sample is just like any other track sample. I.e MP4ReadSample(), MP4GetSampleSize(), MP4GetSampleTime(), etc. are all valid. The RTP specific functions are provided to interpret the information contain in the hint track samples that give instructions on how to form the actual RTP packets.

SEE ALSO

MP4(3) MP4ReadRtpPacket(3)